# -*- coding: utf-8 -*-

# Copyright (c) 2014-2015 Japan Atomic Energy Agency
#
#    angel2vtk is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation;
#    version 2.1 of the License.
#
#    This software is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this software; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
#
# Author:
#       Kazuyoshi Furutaka <furutaka.kazuyoshi@jaea.go.jp>

# Form implementation generated from reading ui file 'angel2vtk.ui'
#
# Created: Wed Jul 23 17:11:57 2014
#      by: PyQt4 UI code generator 4.10.2
#
# WARNING! All changes made in this file will be lost!

from PyQt4 import QtCore, QtGui
import os

try:
    _fromUtf8 = QtCore.QString.fromUtf8
except AttributeError:
    def _fromUtf8(s):
        return s

try:
    _encoding = QtGui.QApplication.UnicodeUTF8
    def _translate(context, text, disambig):
        return QtGui.QApplication.translate(context, text, disambig, _encoding)
except AttributeError:
    def _translate(context, text, disambig):
        return QtGui.QApplication.translate(context, text, disambig)

class QListWidgetWDnD(QtGui.QListWidget):
    def __init__(self, parent):
        super(QListWidgetWDnD, self).__init__(parent)
        self.setAcceptDrops(True)
        self.setDragDropMode(QtGui.QAbstractItemView.InternalMove)

    def dragEnterEvent(self, event):
        if event.mimeData().hasUrls():
            event.acceptProposedAction()
        else:
            super(QListWidgetWDnD, self).dragEnterEvent(event)

    def dragMoveEvent(self, event):
        super(QListWidgetWDnD, self).dragMoveEvent(event)

    def dropEvent(self, event):
        if event.mimeData().hasUrls():
            for url in event.mimeData().urls():
                fName = str(url.toLocalFile())
                if not self.findItems(fName,QtCore.Qt.MatchExactly):
                    self.addItem(str(url.toLocalFile()))
            event.acceptProposedAction()
        else:
            super(QListWidgetWDnD, self).dropEvent(event)

class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        MainWindow.setObjectName(_fromUtf8("MainWindow"))
        MainWindow.resize(600, 531)
        self.centralwidget = QtGui.QWidget(MainWindow)
        self.centralwidget.setObjectName(_fromUtf8("centralwidget"))
        self.verticalLayout_4 = QtGui.QVBoxLayout(self.centralwidget)
        self.verticalLayout_4.setObjectName(_fromUtf8("verticalLayout_4"))
        self.splitter = QtGui.QSplitter(self.centralwidget)
        self.splitter.setOrientation(QtCore.Qt.Vertical)
        self.splitter.setObjectName(_fromUtf8("splitter"))
        self.layoutWidget = QtGui.QWidget(self.splitter)
        self.layoutWidget.setObjectName(_fromUtf8("layoutWidget"))
        self.verticalLayout = QtGui.QVBoxLayout(self.layoutWidget)
        self.verticalLayout.setMargin(0)
        self.verticalLayout.setObjectName(_fromUtf8("verticalLayout"))
        self.labelFileList = QtGui.QLabel(self.layoutWidget)
        self.labelFileList.setObjectName(_fromUtf8("labelFileList"))
        self.verticalLayout.addWidget(self.labelFileList)
        self.inputFileList = QListWidgetWDnD(self.layoutWidget)
        self.inputFileList.setMinimumSize(QtCore.QSize(100, 50))
        self.inputFileList.setContextMenuPolicy(QtCore.Qt.ActionsContextMenu)
        self.inputFileList.setAcceptDrops(True)
        self.inputFileList.setObjectName(_fromUtf8("inputFileList"))
        self.verticalLayout.addWidget(self.inputFileList)
        self.layoutWidget1 = QtGui.QWidget(self.splitter)
        self.layoutWidget1.setObjectName(_fromUtf8("layoutWidget1"))
        self.verticalLayout_2 = QtGui.QVBoxLayout(self.layoutWidget1)
        self.verticalLayout_2.setMargin(0)
        self.verticalLayout_2.setObjectName(_fromUtf8("verticalLayout_2"))
        self.labelLog = QtGui.QLabel(self.layoutWidget1)
        self.labelLog.setObjectName(_fromUtf8("labelLog"))
        self.verticalLayout_2.addWidget(self.labelLog)
        self.logTextEdit = QtGui.QPlainTextEdit(self.layoutWidget1)
        self.logTextEdit.setMinimumSize(QtCore.QSize(100, 50))
        self.logTextEdit.setAcceptDrops(False)
        self.logTextEdit.setObjectName(_fromUtf8("logTextEdit"))
        self.verticalLayout_2.addWidget(self.logTextEdit)
        self.verticalLayout_4.addWidget(self.splitter)
        self.horizontalLayout = QtGui.QHBoxLayout()
        self.horizontalLayout.setObjectName(_fromUtf8("horizontalLayout"))
        self.verticalLayout_3 = QtGui.QVBoxLayout()
        self.verticalLayout_3.setObjectName(_fromUtf8("verticalLayout_3"))
        self.digFolderCheckBox = QtGui.QCheckBox(self.centralwidget)
        self.digFolderCheckBox.setEnabled(True)
        self.digFolderCheckBox.setCheckable(True)
        self.digFolderCheckBox.setObjectName(_fromUtf8("digFolderCheckBox"))
        self.verticalLayout_3.addWidget(self.digFolderCheckBox)
        self.removeRootCheckBox = QtGui.QCheckBox(self.centralwidget)
        self.removeRootCheckBox.setEnabled(True)
        self.removeRootCheckBox.setCheckable(True)
        self.removeRootCheckBox.setObjectName(_fromUtf8("removeRootCheckBox"))
        self.verticalLayout_3.addWidget(self.removeRootCheckBox)
        self.horizontalLayout.addLayout(self.verticalLayout_3)
        spacerItem = QtGui.QSpacerItem(40, 20, QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.clearPushButton = QtGui.QPushButton(self.centralwidget)
        self.clearPushButton.setObjectName(_fromUtf8("clearPushButton"))
        self.horizontalLayout.addWidget(self.clearPushButton)
        self.convertPushButton = QtGui.QPushButton(self.centralwidget)
        self.convertPushButton.setObjectName(_fromUtf8("convertPushButton"))
        self.horizontalLayout.addWidget(self.convertPushButton)
        self.verticalLayout_4.addLayout(self.horizontalLayout)
        MainWindow.setCentralWidget(self.centralwidget)
        self.menubar = QtGui.QMenuBar(MainWindow)
        self.menubar.setGeometry(QtCore.QRect(0, 0, 600, 21))
        self.menubar.setObjectName(_fromUtf8("menubar"))
        self.menuFile = QtGui.QMenu(self.menubar)
        self.menuFile.setObjectName(_fromUtf8("menuFile"))
        self.menuEdit = QtGui.QMenu(self.menubar)
        self.menuEdit.setObjectName(_fromUtf8("menuEdit"))
        self.menuHelp = QtGui.QMenu(self.menubar)
        self.menuHelp.setObjectName(_fromUtf8("menuHelp"))
        MainWindow.setMenuBar(self.menubar)
        self.statusbar = QtGui.QStatusBar(MainWindow)
        self.statusbar.setObjectName(_fromUtf8("statusbar"))
        MainWindow.setStatusBar(self.statusbar)
        self.actionOpen = QtGui.QAction(MainWindow)
        self.actionOpen.setObjectName(_fromUtf8("actionOpen"))
        self.actionRun = QtGui.QAction(MainWindow)
        self.actionRun.setObjectName(_fromUtf8("actionRun"))
        self.actionClear = QtGui.QAction(MainWindow)
        self.actionClear.setObjectName(_fromUtf8("actionClear"))
        self.actionQuit = QtGui.QAction(MainWindow)
        self.actionQuit.setObjectName(_fromUtf8("actionQuit"))
        self.actionAboutTheProgram = QtGui.QAction(MainWindow)
        self.actionAboutTheProgram.setWhatsThis(_fromUtf8(""))
        self.actionAboutTheProgram.setObjectName(_fromUtf8("actionAboutTheProgram"))
        self.actionDigFolders = QtGui.QAction(MainWindow)
        self.actionDigFolders.setCheckable(True)
        self.actionDigFolders.setChecked(False)
        self.actionDigFolders.setEnabled(True)
        self.actionDigFolders.setObjectName(_fromUtf8("actionDigFolders"))
        self.actionRemoveRoots = QtGui.QAction(MainWindow)
        self.actionRemoveRoots.setCheckable(True)
        self.actionRemoveRoots.setObjectName(_fromUtf8("actionRemoveRoots"))
        self.menuFile.addAction(self.actionOpen)
        self.menuFile.addAction(self.actionRun)
        self.menuFile.addAction(self.actionClear)
        self.menuFile.addSeparator()
        self.menuFile.addAction(self.actionQuit)
        self.menuEdit.addAction(self.actionDigFolders)
        self.menuEdit.addAction(self.actionRemoveRoots)
        self.menuHelp.addAction(self.actionAboutTheProgram)
        self.menubar.addAction(self.menuFile.menuAction())
        self.menubar.addAction(self.menuEdit.menuAction())
        self.menubar.addAction(self.menuHelp.menuAction())

        self.retranslateUi(MainWindow)
        QtCore.QMetaObject.connectSlotsByName(MainWindow)

    def retranslateUi(self, MainWindow):
        MainWindow.setWindowTitle(_translate("MainWindow", "angel2vtk", None))
        self.labelFileList.setText(_translate("MainWindow", "File list:", None))
        self.labelLog.setText(_translate("MainWindow", "Log output:", None))
        self.digFolderCheckBox.setText(_translate("MainWindow", "&Dig folders", None))
        self.removeRootCheckBox.setText(_translate("MainWindow", "Re&move ROOT files", None))
        self.clearPushButton.setText(_translate("MainWindow", "&Clear file list", None))
        self.convertPushButton.setText(_translate("MainWindow", "&Run/Convert", None))
        self.menuFile.setTitle(_translate("MainWindow", "&File", None))
        self.menuEdit.setTitle(_translate("MainWindow", "&Edit", None))
        self.menuHelp.setTitle(_translate("MainWindow", "&Help", None))
        self.actionOpen.setText(_translate("MainWindow", "&Open/Select files", None))
        self.actionRun.setText(_translate("MainWindow", "&Run/Convert", None))
        self.actionClear.setText(_translate("MainWindow", "&Clear file list", None))
        self.actionQuit.setText(_translate("MainWindow", "&Quit", None))
        self.actionAboutTheProgram.setText(_translate("MainWindow", "&About the program", None))
        self.actionDigFolders.setText(_translate("MainWindow", "&Dig folders", None))
        self.actionRemoveRoots.setText(_translate("MainWindow", "Re&move ROOT files", None))

